Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class SVGAnimationEngine.AnimationThread

    java.lang.Object
      java.lang.Thread
          org.apache.batik.bridge.SVGAnimationEngine.AnimationThread

All Implemented Interfaces:
  Runnable

Enclosing class:
  SVGAnimationEngine

    protected class SVGAnimationEngine.AnimationThread

extends Thread

The thread that ticks the animation.

Nested Class Summary
`protected class` | `SVGAnimationEngine.AnimationThread.Ticker` A runnable that ticks the animation engine.

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary
`protected RunnableQueue` | `runnableQueue` The RunnableQueue to perform the animation in.
`protected SVGAnimationEngine.AnimationThread.Ticker` | `ticker` The animation ticker Runnable.
`protected Calendar` | `time` The current time.

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`protected` | `SVGAnimationEngine.AnimationThread()`

Method Summary
`void` | `run()` Ticks the animation over as fast as possible.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### time

    protected Calendar time

  The current time.

### runnableQueue

    protected RunnableQueue runnableQueue

  The RunnableQueue to perform the animation in.

### ticker

    protected SVGAnimationEngine.AnimationThread.Ticker ticker

  The animation ticker Runnable.

Constructor Detail

### SVGAnimationEngine.AnimationThread

    protected SVGAnimationEngine.AnimationThread()

Method Detail

### run

    public void run()

  Ticks the animation over as fast as possible.

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.